Worldpay
Storefront endpoints for stores that take payment with Worldpay.
Worldpay is one of the payment providers that OneBasket supports. These endpoints are available to stores that use Worldpay. Call them after you create a payment intent for the basket.
| Property | Value |
|---|---|
| Base path | /worldpay |
| Authentication | x-api-key header and a bearer token. The bearer token is a JWT that contains the contact identifier. |
| OpenAPI document | worldpay.json |
Response bodies are not described yet
The OpenAPI document of this API describes request bodies but not response bodies. Send a request from an endpoint page to see a real response.
Endpoints
GET
/worldpay/configGet Worldpay configurationGET/worldpay/payment-intents/{paymentIntentId}Get a payment intentPOST/worldpay/createzeroamountpaymentintentCreate a zero amount payment intentGET/worldpay/payment-methodsGet payment methodsPOST/worldpay/paypal/billing-agreements/setupSet up a PayPal billing agreementPOST/worldpay/paypal/billing-agreements/confirmConfirm a PayPal billing agreementPOST/worldpay/paypal/billing-agreements/payPay with a PayPal billing agreementGET/worldpay/paypal/billing-agreementsGet the PayPal billing agreementPOST/worldpay/payerauthsetupSet up 3-D Secure device data collectionPOST/worldpay/payerauthenrollmentAuthenticate the payer with 3-D SecurePOST/worldpay/payerauthchallengereceiverReceive the 3-D Secure challenge resultPOST/worldpay/payerauthvalidateresultsValidate the 3-D Secure resultGET/worldpay/tokens/savedGet saved payment tokensPOST/worldpay/tokens/convert-sessionConvert a checkout session to a payment tokenPOST/worldpay/tokens/use-existingPay with a saved payment token